org.apache.ivy.plugins.lock

## Class NoLockStrategy

- java.lang.Object
- - org.apache.ivy.plugins.lock.AbstractLockStrategy
  - - org.apache.ivy.plugins.lock.NoLockStrategy

All Implemented Interfaces:
  LockStrategy

    public class NoLockStrategy
    extends AbstractLockStrategy

### Constructor Summary

Constructors
Constructor and Description
`NoLockStrategy()`

### Method Summary

Methods
`boolean` `lockArtifact(Artifact artifact, java.io.File artifactFileToDownload)` Performs a lock before downloading the given `Artifact` to the given file.
`void` `unlockArtifact(Artifact artifact, java.io.File artifactFileToDownload)` Release the lock acquired for an artifact download.

### Methods inherited from class org.apache.ivy.plugins.lock.AbstractLockStrategy

`getName, isDebugLocking, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoLockStrategy

    public NoLockStrategy()

### Method Detail

#### lockArtifact

    public final boolean lockArtifact(Artifact artifact,
                       java.io.File artifactFileToDownload)

Description copied from interface: `LockStrategy`
Performs a lock before downloading the given `Artifact` to the given file.

Parameters:
  `artifact` - the artifact about to be downloaded
  `artifactFileToDownload` - the file where the artifact will be downloaded
Returns:
  true if the artifact is locked, false otherwise

#### unlockArtifact

    public final void unlockArtifact(Artifact artifact,
                      java.io.File artifactFileToDownload)

Description copied from interface: `LockStrategy`
Release the lock acquired for an artifact download.

Parameters:
  `artifact` - the artifact for which the lock was acquired
  `artifactFileToDownload` - the file where the artifact is supposed to have been downloaded